using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Infrastructure.Plugins;

public abstract class BaseDataExporter : IDataExporter
{
    public abstract string ExporterType { get; }

    public virtual bool CanExport(string exporterType) => ExporterType == exporterType;

    public abstract void Export(Layer layer);
}
